/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _ccdm_H_
#define _ccdm_H_
#define ccdm_REC_LEN 13


struct ccdm
{ 
	INT	left;
	CHAR	sign[2];
	INT	right;
}; /* End Struct */

typedef struct ccdm ccdm ;


int print_ccdm (ccdm* entry, int decode) ;
int print_ccdm_cols (ccdm* entry, int decode) ;
int print_ccdm_header () ;
FILE* jump_ccdm (long recNum) ; 
 
int read_ccdm (char* field,ccdm* entry) ; 
#endif /* _ccdm_H_ */
