/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hip_rgc_H_
#define _hip_rgc_H_
#define hip_rgc_REC_LEN 74


struct hip_rgc
{ 
	INT	IR1;
	FLOAT	IR2;
	FLOAT	IR3;
	FLOAT	IR4;
	FLOAT	IR5;
	FLOAT	IR6;
	FLOAT	IR7;
}; /* End Struct */

typedef struct hip_rgc hip_rgc ;


int print_hip_rgc (hip_rgc* entry, int decode) ;
int print_hip_rgc_cols (hip_rgc* entry, int decode) ;
int print_hip_rgc_header () ;
FILE* jump_hip_rgc (long recNum) ; 
 

#define hip_rgc_entries 2341 

hip_rgc* find_hip_rgc (INT* key); 
int load_hip_rgc (char* ifile, hip_rgc* index) ;
int getnext_hip_rgc (FILE* fp, hip_rgc* entry); 
#endif /* _hip_rgc_H_ */
