/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_hg_notes_H_
#define _idx_hg_notes_H_
#define idx_hg_notes_REC_LEN 13


struct idx_hg_notes
{ 
	INT	HIPID;
	INT	RECNO;
}; /* End Struct */

typedef struct idx_hg_notes idx_hg_notes ;


#define idx_hg_notes_entries      835 

long find_idx_hg_notes (INT* key); 
int load_idx_hg_notes (char* ifile, idx_hg_notes* index) ;
int getnext_idx_hg_notes (FILE* fp, idx_hg_notes* entry); 
#endif /* _idx_hg_notes_H_ */
