/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_solar_H_
#define _idx_solar_H_
#define idx_solar_REC_LEN 42


struct idx_solar
{ 
	INT	NUM;
	INT	SEQ_NUM;
	INT	HA;
	INT	HA_NUM;
	INT	HP;
	INT	HP_NUM;
	INT	T;
	INT	T_NUM;
}; /* End Struct */

typedef struct idx_solar idx_solar ;


#define idx_solar_entries       55 

idx_solar* find_idx_solar (INT* key); 
int load_idx_solar (char* ifile, idx_solar* index) ;
int getnext_idx_solar (FILE* fp, idx_solar* entry); 
#endif /* _idx_solar_H_ */
