/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _solar_ha_H_
#define _solar_ha_H_
#define solar_ha_REC_LEN 66


struct solar_ha
{ 
	INT	SHA1;
	FLOAT	SHA2;
	FLOAT	SHA3;
	FLOAT	SHA4;
	FLOAT	SHA5;
	FLOAT	SHA6;
	FLOAT	SHA7;
	INT	SHA8;
}; /* End Struct */

typedef struct solar_ha solar_ha ;


int print_solar_ha (solar_ha* entry, int decode) ;
int print_solar_ha_cols (solar_ha* entry, int decode) ;
int print_solar_ha_header () ;
FILE* jump_solar_ha (long recNum) ; 
 
int read_solar_ha (FILE* fp,solar_ha* entry) ; 

#define array_solar_ha_size 240
struct array_solar_ha
{
   int no_entries;
   solar_ha data[array_solar_ha_size];
};
typedef struct array_solar_ha array_solar_ha; 
int read_array_solar_ha (int no_entries, array_solar_ha* array, INT* offset);
int print_array_solar_ha (array_solar_ha* array, int decode);
int print_array_solar_ha_cols (array_solar_ha* array, int decode);

#endif /* _solar_ha_H_ */
