/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _tyctrans_H_
#define _tyctrans_H_
#define tyctrans_REC_LEN 86


struct tyctrans
{ 
	FLOAT	TT1;
	FLOAT	TT2;
	FLOAT	TT3;
	FLOAT	TT4;
	FLOAT	TT5;
	FLOAT	TT6;
	FLOAT	TT7;
	FLOAT	TT8;
	FLOAT	TT9;
	INT	TT10;
	INT	TT11;
	FLOAT	TT12;
	BITS	TT13;
}; /* End Struct */

typedef struct tyctrans tyctrans ;


int print_tyctrans (tyctrans* entry, int decode) ;
int print_tyctrans_cols (tyctrans* entry, int decode) ;
int print_tyctrans_header () ;
FILE* jump_tyctrans (long recNum) ; 
 
int read_tyctrans (FILE* fp,tyctrans* entry) ; 

#define array_tyctrans_size 650
struct array_tyctrans
{
   int no_entries;
   tyctrans data[array_tyctrans_size];
};
typedef struct array_tyctrans array_tyctrans; 
int read_array_tyctrans (FILE* fp,int no_entries, array_tyctrans* array);
int print_array_tyctrans (array_tyctrans* array, int decode);
int print_array_tyctrans_cols (array_tyctrans* array, int decode);

#endif /* _tyctrans_H_ */
