/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hip_ep_H_
#define _hip_ep_H_
#define hip_ep_REC_LEN 30

#include "ihipep.h" 
#include "hiptrans.h" 

struct hip_ep
{ 
	INT	HH1;
	CHAR	HH2[2];
	FLOAT	HH3;
	INT	HH4;
	INT	HH5;
	FLOAT	HH6;
	FLOAT	HH7;
	FLOAT	HH8;
	FLOAT	HH9;
	FLOAT	HH10;
	FLOAT	HH11;
	CHAR	HH12[2];
	CHAR	HH13[2];
	CHAR	HH14[4];
	array_hiptrans	TRANSITS;
}; /* End Struct */

typedef struct hip_ep hip_ep ;


int print_hip_ep (hip_ep* entry, int decode) ;
int print_hip_ep_cols (hip_ep* entry, int decode) ;
int print_hip_ep_header () ;
FILE* jump_hip_ep (long recNum) ; 
 
int read_hip_ep (FILE* fp,hip_ep* entry) ; 
FILE* search_hip_ep (idx_hip_ep* key, hip_ep* arecord) ;
#endif /* _hip_ep_H_ */
