/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hipjtran_H_
#define _hipjtran_H_
#define hipjtran_REC_LEN 127


struct hipjtran
{ 
	INT	JT1;
	FLOAT	JT2;
	INT	JT3;
	INT	JT4;
	INT	JT5;
	FLOAT	JT6;
	FLOAT	JT7;
	FLOAT	JT8;
	FLOAT	JT9;
	FLOAT	JT10;
	FLOAT	JT11;
	FLOAT	JT12;
	FLOAT	JT13;
	FLOAT	JT14;
	FLOAT	JT15;
	FLOAT	JT16;
	FLOAT	JT17;
	FLOAT	JT18;
	INT	JT19;
}; /* End Struct */

typedef struct hipjtran hipjtran ;


int print_hipjtran (hipjtran* entry, int decode) ;
int print_hipjtran_cols (hipjtran* entry, int decode) ;
int print_hipjtran_header () ;
FILE* jump_hipjtran (long recNum) ; 
 
int read_hipjtran (FILE* fp,hipjtran* entry) ; 

#define array_hipjtran_size 600
struct array_hipjtran
{
   int no_entries;
   hipjtran data[array_hipjtran_size];
};
typedef struct array_hipjtran array_hipjtran; 
int read_array_hipjtran (FILE* fp,int no_entries, array_hipjtran* array);
int print_array_hipjtran (array_hipjtran* array, int decode);
int print_array_hipjtran_cols (array_hipjtran* array, int decode);

#endif /* _hipjtran_H_ */
