/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hp_notes_H_
#define _hp_notes_H_
#define hp_notes_REC_LEN 99

#include "ihpnotes.h" 

struct hp_notes
{ 
	INT	PN1;
	CHAR	PN2[2];
	CHAR	PN3[2];
	INT	PN4;
	INT	PN5;
	CHAR	PN6[82];
}; /* End Struct */

typedef struct hp_notes hp_notes ;


int print_hp_notes (hp_notes* entry, int decode) ;
int print_hp_notes_cols (hp_notes* entry, int decode) ;
int print_hp_notes_header () ;
FILE* jump_hp_notes (long recNum) ; 
 
int read_hp_notes (FILE* fp,hp_notes* entry) ; 

#define array_hp_notes_size 6
struct array_hp_notes
{
   int no_entries;
   hp_notes data[array_hp_notes_size];
};
typedef struct array_hp_notes array_hp_notes; 
int read_array_hp_notes (int no_entries, array_hp_notes* array);
int print_array_hp_notes (array_hp_notes* array, int decode);
int print_array_hp_notes_cols (array_hp_notes* array, int decode);

FILE* search_hp_notes (INT* key, array_hp_notes* array) ;
#endif /* _hp_notes_H_ */
