/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_hp_auth_H_
#define _idx_hp_auth_H_
#define idx_hp_auth_REC_LEN 13


struct idx_hp_auth
{ 
	INT	HIPID;
	INT	RECNUM;
}; /* End Struct */

typedef struct idx_hp_auth idx_hp_auth ;


#define idx_hp_auth_entries    33700 

idx_hp_auth* find_idx_hp_auth (INT* key); 
int load_idx_hp_auth (char* ifile, idx_hp_auth* index) ;
int getnext_idx_hp_auth (FILE* fp, idx_hp_auth* entry); 
#endif /* _idx_hp_auth_H_ */
