/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_tyc_ep_H_
#define _idx_tyc_ep_H_
#define idx_tyc_ep_REC_LEN 23

#include "tyc_id.h" 

struct idx_tyc_ep
{ 
	tyc_id	tycep_idx1;
	INT	tycep_idx2;
}; /* End Struct */

typedef struct idx_tyc_ep idx_tyc_ep ;


#define idx_tyc_ep_entries  34446 

long find_idx_tyc_ep (tyc_id* key); 
int load_idx_tyc_ep (char* ifile, idx_tyc_ep* index) ;
int getnext_idx_tyc_ep (FILE* fp, idx_tyc_ep* entry); 
#endif /* _idx_tyc_ep_H_ */
