/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _tyc_main_H_
#define _tyc_main_H_
#define tyc_main_REC_LEN 352

#include "itycmain.h" 
#include "tyc_id.h" 

struct tyc_main
{ 
	CHAR	T0[2];
	tyc_id	T1;
	CHAR	T2[2];
	CHAR	T3[12];
	CHAR	T4[12];
	FLOAT	T5;
	CHAR	T6[2];
	CHAR	T7[2];
	FLOAT	T8;
	FLOAT	T9;
	CHAR	T10[2];
	FLOAT	T11;
	FLOAT	T12;
	FLOAT	T13;
	FLOAT	T14;
	FLOAT	T15;
	FLOAT	T16;
	FLOAT	T17;
	FLOAT	T18;
	FLOAT	T19;
	FLOAT	T20;
	FLOAT	T21;
	FLOAT	T22;
	FLOAT	T23;
	FLOAT	T24;
	FLOAT	T25;
	FLOAT	T26;
	FLOAT	T27;
	FLOAT	T28;
	INT	T29;
	FLOAT	T30;
	INT	T31;
	FLOAT	T32;
	FLOAT	T33;
	FLOAT	T34;
	FLOAT	T35;
	CHAR	T36[2];
	FLOAT	T37;
	FLOAT	T38;
	CHAR	T39[2];
	INT	T40;
	FLOAT	T41;
	CHAR	T42[2];
	INT	T43;
	FLOAT	T44;
	FLOAT	T45;
	FLOAT	T46;
	CHAR	T47[2];
	CHAR	T48[2];
	CHAR	T49[2];
	CHAR	T50[2];
	CHAR	T51[3];
	INT	T52;
	INT	T53;
	CHAR	T54[11];
	CHAR	T55[11];
	CHAR	T56[11];
	CHAR	T57[3];
}; /* End Struct */

typedef struct tyc_main tyc_main ;


int print_tyc_main (tyc_main* entry, int decode) ;
int print_tyc_main_cols (tyc_main* entry, int decode) ;
int print_tyc_main_header () ;
FILE* jump_tyc_main (long recNum) ; 
 
int read_tyc_main (FILE* fp,tyc_main* entry) ; 
FILE* search_tyc_main (tyc_id* key, tyc_main* arecord) ;
#endif /* _tyc_main_H_ */
